import ImgBlock from "./ImgBlock";
import AvaLoginBlock from "./AvaLoginBlock";
import CommentsBlock from "./CommentsBlock";
import LikeBlock from "./LikeBlock";
import CommentMessageBlock from "./CommentMessageBlock";
import styled from "styled-components";

const AvaLoginWrap = styled.div`
  display: flex;
  margin-top: 30px;
  width: 80%;

`
const DescriptionPostWrapper = styled.div`
  height: fit-content;
  width: 100%;
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
`
const InfoBlockInModalWrapper = styled.div`
  width: 50%;
`
const Title = styled.p`
`
const Text = styled.p`
`
const PicsInModalWrapper = styled.div`
  width: 50%;
  max-height: 100%;
  margin: 30px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em, rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
`

function Post({postData, updatePostData ,closeModal}) {
console.log(postData.owner)

    return (<>
            <PicsInModalWrapper>
                <ImgBlock images={postData.images}/>
            </PicsInModalWrapper>
            <InfoBlockInModalWrapper>

                <AvaLoginWrap>
                    <AvaLoginBlock closeModal={closeModal} user={postData.owner}/>
                </AvaLoginWrap>
                <DescriptionPostWrapper>
                    <Title>Title:{postData.title}</Title>
                    <Text>{postData.text}</Text>
                </DescriptionPostWrapper>
                <CommentsBlock post={postData} closeModal={closeModal}/>
                {postData.likes &&
                <LikeBlock likes={postData.likes} postId={postData._id} updatePostData={updatePostData}/>
                }
                <CommentMessageBlock postId={postData._id} updatePostData={updatePostData}/>
            </InfoBlockInModalWrapper>
        </>

    )
}

export default Post;