import {useEffect, useState} from "react";
import {gqlOnePost} from "../shared/services&utilits/gqlRequest";
import ImgBlock from "./ImgBlock";
import AvaLoginBlock from "./AvaLoginBlock";
import styled from "styled-components";
import LikeBlock from "./LikeBlock";
import TimeOfCreation from "./TimeOfCreation";
import ModalWindow from "./ModalWindow";
import Post from "./Post";

const Title = styled.p`
`
const Text = styled.p`
`
const ImgWrapper = styled.div`
  width: 100%;
  max-height: 350px;
  display: flex;
  align-items: center;
`
const LikeWrapper = styled.div`
  display: flex;
  justify-content: space-between;
`
const InnerModalWrapper = styled.div`
  width: 60vw;
  height: 80vh;
  display: flex;
`

function PostFeed({post}) {
    const [postFeedData, setPostFeedData] = useState(null);
    const [isModal, setModal] = useState(false);
    useEffect(() => {
        if (!postFeedData) {
            gqlOnePost(post._id).then(res => res.json())
                .then(data => setPostFeedData(data["data"].PostFindOne))
        }
    }, [])

    function updPostData() {
        gqlOnePost(post._id).then(res => res.json())
            .then(data => setPostFeedData(data["data"].PostFindOne))
    }

    function toggleModalWindow() {
        setModal(!isModal)
    }

    console.log(postFeedData)
    return (<>
            {post && postFeedData && <>
                <AvaLoginBlock user={postFeedData.owner}
                               closeModal={toggleModalWindow}/>

                <ImgWrapper>
                    <ImgBlock images={post.images}/>
                </ImgWrapper>
                <LikeWrapper>
                    <LikeBlock likes={postFeedData.likes} postId={postFeedData._id} updatePostData={updPostData}/>
                    <TimeOfCreation createdTime={postFeedData.createdAt}/>
                </LikeWrapper>
                <Title>{postFeedData.title}</Title>
                <Text>{postFeedData.text}</Text>
                <button onClick={toggleModalWindow}>Show all comments
                    ({postFeedData.comments && postFeedData.comments.length || 0})
                </button>
                {isModal &&
                <ModalWindow closeModal={toggleModalWindow}>
                    <InnerModalWrapper>
                    <Post closeModal={toggleModalWindow} postData={postFeedData} updatePostData={updPostData}/>
                    </InnerModalWrapper>
                </ModalWindow>
                }
            </>
            }
        </>
    )
}


export default PostFeed;