import {connect} from "react-redux";
import {useEffect, useState} from "react";
import {gqlSubscribe, gqlUnSubscribe} from "../shared/services&utilits/gqlRequest";


function SubscribeButton({followers, id, activeUserId}){
    const [isSabscribed, setIsSabscribed] = useState(isAlreadySubscribed())

    useEffect(()=>{
        if (isAlreadySubscribed() && !isSabscribed){
            setIsSabscribed(true)
        }
        if (!isAlreadySubscribed() && isSabscribed){
            setIsSabscribed(false)
        }
    })

    function isAlreadySubscribed() {
        return followers && followers.find((follower)=>follower._id === id);
    }

    function clickHandler(){
        if (!isSabscribed){
            gqlSubscribe(id, activeUserId, followers)
        } else {
            gqlUnSubscribe(id, [])
        }
    }

    console.log(isAlreadySubscribed())

    return <button onClick={clickHandler}>{isSabscribed ? "unsabscribe" : "sabscribe"}</button>
}
const mapStateToProps = (state) => {
    return {
        id: state.auth.user.sub.id,
        activeUserId: state.activeUser._id,
    }
}
export default connect(mapStateToProps)(SubscribeButton)